Plan bot path
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
goal*
A pathfinding destination. Exactly one variant must be set.
options?
includeDescriptions?boolean
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/pathfinder:plan" \ -H "Content-Type: application/json" \ -d '{ "goal": {} }'{ "plan": { "status": "PATH_PLAN_STATUS_UNSPECIFIED", "start": { "x": 0, "y": 0, "z": 0, "dimension": "string" }, "steps": [ { "index": 0, "kind": "PATH_STEP_KIND_UNSPECIFIED", "position": { "x": 0, "y": 0, "z": 0, "dimension": "string" }, "description": "string", "maximumTicks": 0 } ], "blocksToBreak": [ { "x": 0, "y": 0, "z": 0, "dimension": "string" } ], "blocksToPlace": [ { "x": 0, "y": 0, "z": 0, "dimension": "string" } ], "maximumTicks": "string", "partialReason": "string", "searchMode": "PATHFIND_SEARCH_MODE_UNSPECIFIED", "qualityBound": 0.1, "routeCost": { "expectedDamage": 0.1, "irreversibleChanges": 0, "placedBlocks": 0, "brokenBlocks": 0, "durationCost": 0.1, "optimizationCost": 0.1 }, "expandedStates": "string", "generatedTransitions": "string", "searchElapsedMillis": "string", "frontierReason": "PATH_FRONTIER_REASON_UNSPECIFIED", "initialEpsilon": 0.1, "finalEpsilon": 0.1, "repairIterations": 0, "repairedInconsistentStates": 0, "incumbentImprovements": 0, "requiredQualityBound": 0.1, "worldRevision": "string", "unavailableChunks": [ { "x": 0, "z": 0 } ] }}How is this page?
